Version haut débit de: Forum du site Lebrikabrak
Aide - Rechercher - Membres

Adm_redacteur et diaporama

peult (11 Aout 2015, 8:46)
Bonjour,

Tout d'abord, bravo pour cet enorme travail et pour la création de ce plug in tres utile.
Ma question concerne la gestion des photos pour les rédacteurs.
En effet, 2 problemes se posent :
le premier concerne la gestion des photos. il semblerait que les galeries précédement crées par l'administrateur ne soient pas visibles (photo/gal_x)
le 2eme concerne l'interface d'ajout de photos. Avec la v5 de guppy, il suffit juste de cliquer sur gerer les galeries et d'uploader l'image pour qu'elle s'integre dans le diaporama or dans le plug in, l'ajout de l'image est gerée comme un article, sans possibilité d'ajouter directement un fichier (sans passer par l'éditeur).
Du coup, les photos ajoutées ne se trouvent plus dans le diaporama.
Existe t'il une solution pour permettre aux redacteurs d'utiliser la meme interface d'ajout de photos que celle utilisée en mode administrateur ?
Merci
jchouix (16 Aout 2015, 12:40)
Bonjour peult,
tu as raison au sujet de la gestion des photos. Elle est incomplète car elle ne prend en compte que la gestion des galeries (ajout, édition, activation et suppression) mais pas la gestion des photos à l'intérieur des galeries. Je vais regarder comment remédier à cela.
Cordialement.
jchouix (07 Septembre 2015, 20:25)
Bonsoir peult,
un petit mot pour te dire que j'ai avancé dans l'intégration de la gestion des photos donc encore un peu de patience.
Cordialement
europa (12 Septembre 2015, 10:47)
Bonjour,
je viens d'essayer de mettre des photos comme rédacteur et je me suis aperçu du soucis évoqué dans ce post alors je vais suivre ton travail avec beaucoup d’intérêt. (même si je n'avais pas besoin de cela pour le faire ;-) )
bon courage
jchouix (03 Octobre 2015, 12:02)
Bonjour,
merci pour tes encouragements. Je suis entrain de finaliser l'intégration de la gestion des photos après moult essais sur le choix de l'interface.
Cordialement.
jchouix (28 Octobre 2015, 0:31)
Bonjour europa,
je viens de mettre à disposition la version 6.5 du plugin adm_redacteurs qui intègre le support de la gestion des photos. Cela m'a pris un peu de temps car cette version 6.5 intègre aussi comme nouveauté la présence d'un contrôle d'intégrité des données (utile en cas de dysfonctionnement) et le support de plugins tiers.
Cordialement.
europa (28 Octobre 2015, 14:41)
Bonjour,
aussitôt reçu le message, j'ai tenté l'installation de la V6-5.
Alors, j'ai téléchargé le fichier "du bas" , la mise à jour à partir de la v6.
J'ai supprimé les deux dossiers indiqués et leur contenu.
J'ai "reuploadé" les dossiers en ftp, de l'archive dézippée.
et là, quand je vais dans l'onglet gestion des plugins et que je clique pour ouvrir adm-redacteurs, j'ai le message d'erreur :
Parse error: syntax error, unexpected T_CLASS, expecting T_STRING or T_VARIABLE or '{' or '$' in /home/www/html/college/europa.montelimar/plugins/adm_redacteurs/libraries/pagination.php on line 86

Est-ce que c'est moi qui ai mal fait ou est-ce un autre soucis ?
merci
jchouix (28 Octobre 2015, 15:18)
Bonjour europa,
je pense que le fichier intitulé pagination.php situé dans le répertoire plugins/adm_redacteurs/librairies/ a été corrompu lors du transfert ftp. Renvoie le et le message d'erreur devrait disparaitre.
Cordialement.
europa (28 Octobre 2015, 15:32)
là, je dois m'absenter, je fais une nouvelle tentative ce soir et je te tiens au courant.
Juste une petite remarque :
Dans les instructions pour la mise à jour, tu dis qu'il faut supprimer les dossiers admin/plugins/adm_redacteurs/ et plugins/adm_redacteurs/ avec tout leur contenu, or j'ai remarqué que dans la nouvelle version, dans le dossier admin/plugins/adm_redacteurs, il n'y a que 4 fichiers, pas les dossiers assets, controllers ni views, c'est normal ?merci
jchouix (28 Octobre 2015, 15:44)
re-,
Citation (europa)
Dans les instructions pour la mise à jour, tu dis qu'il faut supprimer les dossiers admin/plugins/adm_redacteurs/ et plugins/adm_redacteurs/ avec tout leur contenu, or j'ai remarqué que dans la nouvelle version, dans le dossier admin/plugins/adm_redacteurs, il n'y a que 4 fichiers, pas les dossiers assets, controllers ni views, c'est normal ?

Oui, c'est normal car j'ai changé la structure des fichiers pour avoir une maintenance plus aisée.
Concernant le transfert par ftp, si tu en as la possibilité, je te conseille de transférer et de décompresser l'archive zip à la racine de ton site. Cela évitera ces problèmes de fichiers corrompus.
Cordialement.
europa (28 Octobre 2015, 22:34)
Bonsoir,
bon ben ça fait 4 fois que je renvoie le fichier et ça ne fonctionne toujours pas.
pour
Citation
je te conseille de transférer et de décompresser l'archive zip à la racine de ton site

je ne sais pas comment faire, je ne dispose que de filezilla et je ne vois comment faire cela avec.
Bref, pas moyen de faire fonctionner le plugin.
jchouix (28 Octobre 2015, 23:48)
Bonsoir europa,
peux tu renvoyer le fichier intitulé manage_records_helper.php situé dans le répertoire plugins/adm_redacteurs/helpers/ ?
Cordialement.
europa (29 Octobre 2015, 9:47)
Je reviens à la charge : j'ai renvoyé tout le plugin et ça ne marche toujours pas.
2 questions :
- je me rappelle avoir changé quelques trucs dans la config de l'éditeur des rédacteurs pour avoir le bouton vidéo et être avec monocolor. Est-ce que ça peut avoir une importance ?
-j'utilise la màj 6 vers 6.5, est-ce qu'il faut que j'essaie avec le plugin complet ?
jchouix (29 Octobre 2015, 9:57)
Bonjour europa,
Citation (europa)
- je me rappelle avoir changé quelques trucs dans la config de l'éditeur des rédacteurs pour avoir le bouton vidéo et être avec monocolor. Est-ce que ça peut avoir une importance ?

Non, ça n'a pas d'importance.
Citation (europa)
-j'utilise la màj 6 vers 6.5, est-ce qu'il faut que j'essaie avec le plugin complet ?

Tu peux essayer mais attention, tu ne dois pas transférer le répertoire data/plugins/adm_redacteurs/ sinon tu vas perdre tes données de tes rédacteurs.

J'aimerai que tu fasses un essai en local pour voir si tu as toujours ce problème.
Cordialement.
europa (29 Octobre 2015, 10:06)
Salut,
tu as raison, en local ça passe impec.
Je vais essayer de rebalancer tout le site à partir de ma sauvegarde locale.
jchouix (29 Octobre 2015, 10:20)
Re-,
je viens de me renseigner et le problème provient d'un conflit entre le nom d'une variable et la version 5.4.4 de php. J'ai changé le nom de cette variable dans mes fichiers. Je te propose donc d'installer le patch ci-dessous et de me dire si le problème disparait.
Cordialement.
Fichier joint
Télécharger
Fichier téléchargé 321 fois (nom du fichier: patch_correctif_adm_redacteurs_6.5.0.zip ; taille: 8.199 KO, date d'upload: 29 Octobre 2015, 10:19)
patch correctif pour éviter un message d'erreur sous certaine version de php
europa (29 Octobre 2015, 10:52)
il y a de ça puisque il y a encore une erreur mais ce n'est plus la même :
Citation
Fatal error: Call to undefined function array_replace_recursive() in /home/www/html/college/europa.montelimar/plugins/adm_redacteurs/helpers/plugin_menu_helper.php on line 65

je ne sais pas si ça aide
jchouix (29 Octobre 2015, 11:09)
re-,
Citation (europa)
je ne sais pas si ça aide

Si ça aide car c'est une fonction qui est apparue à partir de la version 5.3 de php. Cela signifie que ton serveur doit tourner avec un version php 5.2 qui est une vielle version. As tu le moyen de choisir une version php plus récente ? Sinon, je vais faire des modifications nécessaires pour que ces fonctions soient bien prises en compte.
Cordialement.
europa (29 Octobre 2015, 11:18)
Citation
Cela signifie que ton serveur doit tourner avec un version php 5.2 qui est une vielle version

oui, en effet, ça fait un bout de temps qu'on demande aux gestionnaires du serveur de l'académie de Grenoble de nous remettre un serveur à jour mais pour le moment, ce n'est pas encre fait. tu comprends donc que je n'ai pas la possibilité d'intervenir là dessus. :fsb2_cry:
J'ajoute donc la config du serveur donnée par guppy :
Citation
GuppY 5.01.01
Système d'exploitation du serveur : Linux 2.6.26-2-amd64
PHP : 5.2.6-1+lenny16 / MET=600 - ML=512M - UMF=512M - PMS=512M - MFU=50
URL du site : http://www.ac-grenoble.fr/college/europa.montelimar/
Plugins : Plugin Adm_rédacteurs
UA: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:41.0) Gecko/20100101 Firefox/41.0
Device: computer
Résolution écran : 1366x768 / 1366x728

voilà la misère
europa (29 Octobre 2015, 11:22)
Au fait, ça n'a rien à voir et je ne voudrais pas t'embêter mais je n'arrive pas insérer de citation avec le bouton, il faut que je mette un quote en "source". Bon pas grâve, on y arrive quand même.
jchouix (29 Octobre 2015, 11:47)
re-,
je t'envoie le patch pour avoir une compatibilité avec php 5.2.x. Dis moi si c'est ok.
Merci.
Fichier joint
Télécharger
Fichier téléchargé 333 fois (nom du fichier: patch_pour_compatibilite_version_php_5.2.zip ; taille: 4.984 KO, date d'upload: 29 Octobre 2015, 11:47)
patch compatibilité avec php 5.2.x
europa (29 Octobre 2015, 11:51)
Et voilà !!!
Comme toujours tu livre un plugin au top .
Je te baise les pieds en reconnaissance :fsb2_drink:
Encore merci et bravo !
jchouix (29 Octobre 2015, 12:02)
re-,
merci pour les compliments. Je vais rajouter les modifs dans le plugin.
Bonne continuation.